Springboot项目中使用Swagger添加依赖问题

JDK8只需要上面两个就可以使用Swagger;

JDK12还需添加jaxb-api依赖才能正常启动项目。


<!– swagger –>
<dependency>
<groupId>io.springfox</groupId>
<artifactId>springfox-swagger2</artifactId>
<version>2.8.0</version>
</dependency>


<dependency>
<groupId>io.springfox</groupId>
<artifactId>springfox-swagger-ui</artifactId>
<version>2.8.0</version>
</dependency>


<dependency>
<groupId>javax.xml.bind</groupId>
<artifactId>jaxb-api</artifactId>
<version>2.3.0</version>
</dependency>

留下评论

电子邮件地址不会被公开。 必填项已用*标注